import request from '@/utils/request'
export function getExamList(data = {}) {
	return request({
		'url': '/app/kaoshi/list',
		headers: {
			isToken: true
		},
		method: 'post',
		data,
		timeout: 20000
	})
}
export function getFileUpload(data = {}) {
	return request({
		url: '/app/file/upload',
		headers: {
			isToken: true
		},
		method: 'post',
		data,
		timeout: 20000
	})
}

export function getClientQiepingCheat(data = {}) {
	return request({
		url: '/app/qieping/cheat',
		headers: {
			isToken: true
		},
		method: 'post',
		data,
		timeout: 20000
	})
}

export function getClientQiepingTimes(data = {}) {
	return request({
		url: '/app/qieping/times',
		headers: {
			isToken: true
		},
		method: 'post',
		data,
		timeout: 20000
	})
}

export function getClientKaoshiBiaoji(data = {}) {
	return request({
		url: '/app/kaoshi/biaoji',
		headers: {
			isToken: true
		},
		method: 'post',
		data,
		timeout: 20000
	})
}

export function getClientKsChengjiList(data = {}) {
	return request({
		url: '/app/chengji/list',
		headers: {
			isToken: true
		},
		method: 'post',
		data,
		timeout: 20000
	})
}

export function getClientKsChengjiView(data = {}) {
	return request({
		url: '/app/chengji/view',
		headers: {
			isToken: true
		},
		method: 'post',
		data,
		timeout: 20000
	})
}

export function getClientKsSave(data = {}) {
	return request({
		url: '/app/kaoshi/save',
		headers: {
			isToken: true
		},
		method: 'post',
		data,
		timeout: 20000
	})
}

export function getClientKsStart(data = {}) {
	return request({
		url: '/app/kaoshi/start',
		headers: {
			isToken: true
		},
		method: 'post',
		data,
		timeout: 20000
	})
}

export function getClientKsSubmit(data = {}) {
	return request({
		url: '/app/kaoshi/submit',
		headers: {
			isToken: true
		},
		isLoading: true,
		method: 'post',
		data,
		timeout: 20000
	})
}
// 不存在
export function getClientUserInfo(data = {}) {
	return request({
		url: '/app/kaoshi/user/info',
		headers: {
			isToken: true
		},
		method: 'post',
		data,
		timeout: 20000
	})
}

export function getClientZhuaPaiUpdate(data = {}) {
	return request({
		url: '/app/kaoshi/zhuapai',
		headers: {
			isToken: true
		},
		method: 'post',
		data,
		timeout: 20000
	})
}

export function getClientKaoshiInfo(data = {}) {
	return request({
		url: '/app/kaoshi/info',
		headers: {
			isToken: true
		},
		method: 'post',
		data,
		timeout: 20000
	})
}

export function kaoShiApply(data = {}) {
	return request({
		url: '/app/kaoshi/apply',
		headers: {
			isToken: true
		},
		method: 'post',
		data,
		timeout: 20000
	});
}